#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "test_coordinate4xi.py">
#<abstract4xi abstract = "tests coordinate4xi"/>
#<verify4xi verification = "11" target = "verbkb4xi.py"/>
#<contextualize4xi context = "test_coordinate4xi.py"/>
#<use4xi usage = "
# BEFORE
#  > all2test4xi (produces the latest reason-xml files)
#  open own command window to run at the same time with two other scope-xml producers 
#
# RUN ONE INPUT FILE AT A TIME
#  1) select a file ScopeKb4Xi
#  2) call t test_coordinate4xi > ..\txt\test_coordinate4xi.txt
#"
#/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'main',
            'print_trace4xi',
            'test_coordinate4xi',            
            'set_trace4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging  
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "

from time4xi import time4xi

from verb4xi import coordinate_tenses4xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global t2xi 
global trace_object_count
#"
#/>

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "test-coordinate4xi" usage = "
#   reads reason-xml files and creates scope-xml-files
#   for example: reads reason-hello-world4xi.xml to create scope-reason-hello-world4xi.xml with 3D-coordinates  
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def test_coordinate4xi():
    ScopeKb4Xi = {
       '..//..//xml//reason-all-methods4xi.xml': 'ack',               # REMEMBER: nack = scope it !
       '..//..//xml//reason-test-ctypes4xi.xml': 'ack',
       '..//..//xml//reason-current-process4xi.xml': 'ack',
       '..//..//xml//reason-dummy-process4xi.xml': 'ack',
       '..//..//xml//reason-finalize4xi.xml': 'ack',
       '..//..//xml//reason-hello-pipe4xi.xml': 'ack',
       '..//..//xml//reason-hello-world4xi.xml': 'ack',               # fourth 
       '..//..//xml//reason-math-two-4xi.xml': 'ack',
       '..//..//xml//reason-math4xi.xml': 'ack',
       '..//..//xml//reason-pickle4xi.xml': 'ack',
       '..//..//xml//reason-pipe1-test4xi.xml': 'ack',
       '..//..//xml//reason-pool-one-4xi.xml': 'ack',
       '..//..//xml//reason-pool4xi.xml': 'ack',
       '..//..//xml//reason-processlocalset-test4xi.xml': 'ack',
       '..//..//xml//reason-processref4xi.xml': 'ack',
       '..//..//xml//reason-proxy-mp-test4xi.xml': 'ack',
       '..//..//xml//reason-public-methods-test4xi.xml': 'ack',
       '..//..//xml//reason-server4xi.xml': 'ack',
       '..//..//xml//reason-sleep4xi.xml': 'ack',
       '..//..//xml//reason-sync-manager-test4xi.xml': 'ack',
       '..//..//xml//reason-test-after_fork4xi.xml': 'ack',
       '..//..//xml//reason-test-arena4xi.xml': 'ack',
       '..//..//xml//reason-test-benchmark4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-connection4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-family4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-forking4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-heap4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-logger4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-managers4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-pool4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-process4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-synchronize4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-system4xi.xml': 'ack',
       '..//..//xml//reason-test-constant-util4xi.xml': 'ack',
       '..//..//xml//reason-test-convert-to-error4xi.xml': 'ack',
       '..//..//xml//reason-test-cpu-corecount4xi.xml': 'ack',
       '..//..//xml//reason-test-date4xi.xml': 'ack',
       '..//..//xml//reason-test-format4xi.xml': 'ack',
       '..//..//xml//reason-test-kskeleton4xi.xml': 'ack',
       '..//..//xml//reason-test-locks4xi.xml': 'ack',
       '..//..//xml//reason-test-logger4xi.xml': 'ack',
       '..//..//xml//reason-test-manager4xi.xml': 'ack',
       '..//..//xml//reason-test-original-dir4xi.xml': 'ack',
       '..//..//xml//reason-test-queue4xi.xml': 'ack',
       '..//..//xml//reason-test-resourcesharer4xi.xml': 'ack',
       '..//..//xml//reason-test-server4xi.xml': 'ack',
       '..//..//xml//reason-test-shared-ctypes4xi.xml': 'ack',
       '..//..//xml//reason-test-skeleton-print4xi.xml': 'ack',       # second test - scope trace skeletons in case of new verbs  added 
       '..//..//xml//reason-test-sphere4xi.xml': 'ack',
       '..//..//xml//reason-test-state4xi.xml': 'ack',
       '..//..//xml//reason-test-time4xi.xml': 'ack',
       '..//..//xml//reason-test-uskeleton4xi.xml': 'ack',
       '..//..//xml//reason-test-verbkb4xi.xml': 'ack',
       '..//..//xml//reason-test-yskeleton4xi.xml': 'ack',
       '..//..//xml//reason-test-zskeleton4xi.xml': 'ack',            # first test
       '..//..//xml//reason-timeout4xi.xml': 'ack',
       '..//..//xml//reason-token4xi.xml': 'ack',
       '..//..//xml//reason-value-proxy4xi.xml': 'ack',
       '..//..//xml//reason-value-test4xi.xml': 'ack',
       '..//..//xml//reason-verb4xi.xml': 'nack'}                     # always on - scopes all available verbs in case of new verbs added            
                                                                      # all done 7th of April 2014
    # ---------------------------------------------------------------------------------------------
    # START                          
    # ---------------------------------------------------------------------------------------------    
    print('=' *33)          
    print('(STEP 1/33) OF TEST_COORDINATE4XI: STARTING ', time4xi()) 
    print('=' *33)
    # 03:53:53 02/12/13 Pacific Standard Time
    len2kb= len(ScopeKb4Xi)

    print("(STEP 2/33) OF TEST_COORDINATE4XI: MAX NUMBER OF XML FILES TO BE CHECKED - LEN2KB: ", len2kb)
    # 60
    
    keys2kb = ScopeKb4Xi.keys()  
    
    
    # ---------------------------------------------------------------------------------------------
    # 
    # --------------------------------------------------------------------------------------------- 
    for key2kb in sorted(keys2kb):                                          
        print("(STEP 3/33) OF TEST_COORDINATE4XI: CHECKING SCOPING STATUS OF FILE: ", key2kb)  
        
        if ScopeKb4Xi[key2kb] == 'nack':
            print("(STEP 4/33) OF TEST_COORDINATE4XI: TRYING TO CREATE SCOPE-XML FROM INPUT FILE: ", key2kb)
            # ..//..//xml//reason-test-zskeleton4xi.xml
            try:
                coordinate_tenses4xi(key2kb)
     
                print("(STEP 5/33) OF TEST_COORDINATE4XI: CREATED SCOPE-XML FROM INPUT FILE: ", key2kb)
                # ..//..//xml//reason-test-zskeleton4xi.xml
            except:
                print("(STEP 6/33) OF TEST_COORDINATE4XI *** FAILED TO CREATED SCOPE-XML FROM INPUT FILE: ", key2kb)   
        else:
            print("(STEP 7/33) OF TEST_COORDINATE4XI: SKIPPED ALREADY SCOPED FILE: ", key2kb)
        
    # ---------------------------------------------------------------------------------------------
    # 
    # --------------------------------------------------------------------------------------------- 
    print("(STEP 7/33) OF TEST_COORDINATE4XI: CREATED ALL SCOPED XML-FILES ", time4xi())  
    # 03:54:07 02/12/13 Pacific Standard Time                 
 
      
    # ---------------------------------------------------------------------------------------------
    # DONE                          
    # ---------------------------------------------------------------------------------------------    
    print('=' *33)          
    print('(STEP 33/33) OF TEST_COORDINATE4XI: DONE!', time4xi())
    print('=' *33)
        
   
         
       
#</function4xi>
     

                   
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "main" usage = "
#   main function for test_coordinate4xi
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def main():

    print('=' *33)
    print("SENSING IT WITH YOURDRAGONXI ", time4xi())  
    print('=' *33)
    # 03:53:53 02/12/13 Pacific Standard Time
        
    test_coordinate4xi()    
    
    print('=' *33)
    print("SENSED IT WITH YOURDRAGONXI ", time4xi())    
    print('=' *33) 
    # 03:54:07 02/12/13 Pacific Standard Time
                             
#</function4xi>
     

# -------------------------------------------------------------------------------------------------
# __main__                              
# -------------------------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
    
#</program4xi>
 

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_coordinate4xi.txt
#   reason-test-coordinate4xi.xml
#   scope-reason-test-zskeleton4xi.xml <-- example 
#
#   Note: sense and ace are not referred because only verbs are being tested and reason XMl created
#   test_coordinate4xi.txt - verfication of statistics with reason-test-zskeleton.xml
#   0: cluster and super-cluster stats updated immediatelly with tense!
#   1: tense 1: (STEP 14f/33)    - none
#   2: tense 2  (STEP 16A1f/33)
#   3: tense 3: (STEP 17A0f/33)
#   4: tense 4: (STEP 18A0t/33)  - none
#   
#   <owl:Class rdf:ID="aced#000000077">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  1
#   
#   <owl:Class rdf:ID="acing#000000075">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  2
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  2
#   
#   <owl:Class rdf:ID="activated#000000026">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 18 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  3
#   
#   <owl:Class rdf:ID="borning#000000016">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 17 ] =  1
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 3 ] =  1
#   
#   <owl:Class rdf:ID="got#000000076">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  3
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  4
#   
#   <owl:Class rdf:ID="got#000000071">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  4
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  5
#   
#   <owl:Class rdf:ID="got#000000063">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  5
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  6
#   
#   
#   <owl:Class rdf:ID="got#000000006">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  6
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  7
#   
#   <owl:Class rdf:ID="got#000000013">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  7
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  8
#   
#   <owl:Class rdf:ID="got#000000042">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  8
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  9
#   
#   <owl:Class rdf:ID="got#000000056">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 8 ] =  9
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  10
#   
#   <owl:Class rdf:ID="inherited#000000027">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 19 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  1
#   
#   <owl:Class rdf:ID="inheriting#000000017">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 19 ] =  2
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  2
#   
#   <owl:Class rdf:ID="initialized#000000003">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  1
#   
#   <owl:Class rdf:ID="initialized#000000023">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  2
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  2
#   
#   <owl:Class rdf:ID="initialized#000000035">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  3
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  3
#   
#   <owl:Class rdf:ID="initialized#000000010">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  4
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  4
#   
#   <owl:Class rdf:ID="initialized#000000049">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  5
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  5
#   
#   <owl:Class rdf:ID="passed#000000019">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  3
#   
#   <owl:Class rdf:ID="passed#000000031">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  2
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  4
#   
#   <owl:Class rdf:ID="passed#000000045">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  3
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  5
#   
#   <owl:Class rdf:ID="passed#000000002">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  4
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  6
#   
#   <owl:Class rdf:ID="passed#000000022">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  5
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  7
#   
#   <owl:Class rdf:ID="passed#000000034">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  6
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  8
#   
#   <owl:Class rdf:ID="passed#000000069">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  7
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  9
#   
#   <owl:Class rdf:ID="passed#000000061">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  8
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  10
#   
#   <owl:Class rdf:ID="passed#000000009">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  9
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  11
#   
#   <owl:Class rdf:ID="passed#000000048">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  10
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  12
#   
#   <owl:Class rdf:ID="passing#000000020">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  11
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  13
#   
#   <owl:Class rdf:ID="passing#000000032">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  12
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  14
#   
#   <owl:Class rdf:ID="passing#000000046">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 20 ] =  13
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 8 ] =  15
#   
#   <owl:Class rdf:ID="performed#000000025">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  6
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  6
#   
#   <owl:Class rdf:ID="performed#000000037">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  7
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  7
#   
#   <owl:Class rdf:ID="performed#000000051">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  8
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  8
#   
#   <owl:Class rdf:ID="reasoning#000000067">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 13 ] =  1
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  9
#   
#   <owl:Class rdf:ID="returning#000000078">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  9
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  10
#   
#   <owl:Class rdf:ID="returning#000000040">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  10
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  11
#   
#   <owl:Class rdf:ID="returning#000000054">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  11
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  12
#   
#   <owl:Class rdf:ID="returning#000000038">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  12
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  13
#   
#   <owl:Class rdf:ID="returning#000000073">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  13
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  14
#   
#   <owl:Class rdf:ID="returning#000000065">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  14
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  15
#   
#   <owl:Class rdf:ID="returning#000000052">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  15
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  16
#   
#   <owl:Class rdf:ID="returning#000000007">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  16
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  17
#   
#   <owl:Class rdf:ID="returning#000000014">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  17
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  18
#   
#   <owl:Class rdf:ID="returning#000000043">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  18
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  19
#   
#   <owl:Class rdf:ID="returning#000000057">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  19
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  20
#   
#   <owl:Class rdf:ID="returning#000000004">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  20
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  21
#   
#   <owl:Class rdf:ID="returning#000000024">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  21
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  22
#   
#   <owl:Class rdf:ID="returning#000000036">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  22
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  23
#   
#   <owl:Class rdf:ID="returning#000000070">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  23
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  24
#   
#   <owl:Class rdf:ID="returning#000000062">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  24
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  25
#   
#   <owl:Class rdf:ID="returning#000000011">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  25
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  26
#   
#   <owl:Class rdf:ID="returning#000000050">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  26
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  27
#   
#   <owl:Class rdf:ID="sensed#000000064">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 11 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 1 ] =  1
#   
#   <owl:Class rdf:ID="sensing#000000059">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 11 ] =  2
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 1 ] =  2
#   
#   <owl:Class rdf:ID="shared#000000028">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  27
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  28
#   
#   <owl:Class rdf:ID="sharing#000000018">
#   (STEP 17A0f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 1 ] =  28
#   (STEP 17A0g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 4 ] =  29
#   
#   <owl:Class rdf:ID="started#000000015">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  1
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  11
#   
#   <owl:Class rdf:ID="started#000000074">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  2
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  12
#   
#   <owl:Class rdf:ID="started#000000039">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  3
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  13
#   
#   <owl:Class rdf:ID="started#000000053">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  4
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  14
#   
#   <owl:Class rdf:ID="started#000000030">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  5
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  15
#   
#   <owl:Class rdf:ID="started#000000066">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  6
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  16
#   
#   <owl:Class rdf:ID="started#000000058">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  7
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  17
#   
#   <owl:Class rdf:ID="started#000000044">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  8
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  18
#   
#   <owl:Class rdf:ID="started#000000005">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  9
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  19
#   
#   <owl:Class rdf:ID="started#000000012">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  10
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  20
#   
#   <owl:Class rdf:ID="started#000000041">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  11
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  21
#   
#   <owl:Class rdf:ID="started#000000055">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  12
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  22
#   
#   <owl:Class rdf:ID="started#000000001">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  13
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  23
#   
#   <owl:Class rdf:ID="started#000000021">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  14
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  24
#   
#   <owl:Class rdf:ID="started#000000033">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  15
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  25
#   
#   <owl:Class rdf:ID="started#000000068">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  16
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  26
#   
#   <owl:Class rdf:ID="started#000000060">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  17
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  27
#   
#   <owl:Class rdf:ID="started#000000008">
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  18
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  28
#   
#   <owl:Class rdf:ID="started#000000047"> 
#   (STEP 16A1f/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI[ 12 ] =  19
#   (STEP 16A1g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  29
#   
#   ======================================================================
#   (STEP 19E/33) OF COORDINATE_TENSES4XI - CLUSTERCOLORSTATISTICS4XI:
#   [ 1 ]:  operations 28
#   [ 2 ]:  challenges 0
#   [ 3 ]:  network 0
#   [ 4 ]:  arithmetics 0
#   [ 5 ]:  events 0
#   [ 6 ]:  problems 0
#   [ 7 ]:  tuning 0
#   [ 8 ]:  acing 9
#   [ 9 ]:  manoeuvring 0
#   [ 10 ]:  administration 0
#   [ 11 ]:  sensing 2
#   [ 12 ]:  activity 19
#   [ 13 ]:  logical 1
#   [ 14 ]:  force 0
#   [ 15 ]:  messaging 0
#   [ 16 ]:  queuing 0
#   [ 17 ]:  birth 1
#   [ 18 ]:  activation 1
#   [ 19 ]:  documentation 2
#   [ 20 ]:  dataflow 13
#   [ 21 ]:  scoping 0
#   [ 22 ]:  graphics 0
#   [ 23 ]:  filing 0
#   ======================================================================
#   (STEP 19F/33) OF COORDINATE_TENSES4XI - TOTAL CLUSTER:  76
#   ======================================================================
#   
#   ======================================================================
#   (STEP 19g/33) OF COORDINATE_TENSES4XI - SUPERCLUSTERCOLORSTATISTICS4XI:
#   [ 0 ]:  FREE : 0
#   [ 1 ]:  theater : 2
#   [ 2 ]:  network : 0
#   [ 3 ]:  manoeuvres : 1
#   [ 4 ]:  operations : 29
#   [ 5 ]:  successes : 29
#   [ 6 ]:  challenges : 0
#   [ 7 ]:  problems : 0
#   [ 8 ]:  miscellaneous : 15
#   ======================================================================
#   (STEP 19i/33) OF COORDINATE_TENSES4XI - TOTAL SUPER:  76
#   ======================================================================

#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_coordinate4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
